Commit e2fbd619 authored by Aaron Hill's avatar Aaron Hill
Browse files

Merge pull request #534 from wdahlenburg/master

Updated requirements for pip 6.0+ to include a session
parents 97faa0d3 9b4cb9eb
#!/usr/bin/env python #!/usr/bin/env python
#from distutils.core import setup #from distutils.core import setup
import re import re, uuid
from setuptools import setup, find_packages from setuptools import setup, find_packages
from pip.req import parse_requirements from pip.req import parse_requirements
...@@ -14,7 +14,7 @@ if mo: ...@@ -14,7 +14,7 @@ if mo:
else: else:
raise RuntimeError("Unable to find version string in %s." % (VERSIONFILE,)) raise RuntimeError("Unable to find version string in %s." % (VERSIONFILE,))
install_reqs = parse_requirements('requirements.txt') install_reqs = parse_requirements('requirements.txt', session=uuid.uuid1())
reqs = [str(req.req) for req in install_reqs] reqs = [str(req.req) for req in install_reqs]
setup(name="tweepy", setup(name="tweepy",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment